﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace ScatterLineEx
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<DataPoint> SeriesSource { get; set; }
        public ObservableCollection<DataPoint> MarkerSource { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            CreateSeriesData();
            CreateMarkerSource();
            dataChart.Series["MainSeries"].ItemsSource = SeriesSource;
            dataChart.Series["MarkerSeries"].ItemsSource = MarkerSource;
            StartUpdates();

        }

        private void CreateSeriesData()
        {
            SeriesSource = new ObservableCollection<DataPoint>();
            Random r = new Random();
            for (int i = 0; i < 20; i++)
            {
                SeriesSource.Add(new DataPoint() { X = r.Next(0, 50), Y = r.Next(0, 25) });
            }
        }

        private void CreateMarkerSource()
        {
            MarkerSource = new ObservableCollection<DataPoint>();
            MarkerSource.Add(SeriesSource.First());
         
            MarkerSource.Add(SeriesSource.Last());
        }
        private void StartUpdates()
        {
            DispatcherTimer timer = new DispatcherTimer();
            timer.Interval = TimeSpan.FromSeconds(1);
            timer.Tick += new EventHandler(timer_Tick);
            timer.Start();
        }

        void timer_Tick(object sender, EventArgs e)
        {
            Random r = new Random();
            DataPoint dp = new DataPoint() { X = r.Next(0, 50), Y = r.Next(0, 25) };
            MarkerSource.RemoveAt(1);
            SeriesSource.Add(dp);
            MarkerSource.Add(dp);



        }
    }
}
